﻿@model SSOTestApp.Models.EmailPreviewModel

@{
    ViewBag.Title = "MailboxView";
}

<h2>MailboxView</h2>

<div>
    <h4>EmailPreviewModel</h4>
    <hr />
    <dl class="dl-horizontal">

        <dt>
            @Html.DisplayNameFor(model => model.Subject)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Subject)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.ReceivedFrom)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.ReceivedFrom)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Body)
        </dt>

        <dd>
            @Html.Raw(@Model.Body.ToString())
        </dd>

    </dl>
</div>
<p>
    @Html.ActionLink("Edit", "Edit", new { id = Model.Id }) |
    @Html.ActionLink("Back to List", "Mailbox","Home")
</p>
